package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Site basic information on one page.
 */
@ApiModel(description = "Site basic information on one page.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class SiteBasicInfo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  public SiteBasicInfo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Site ID
   * @return id
  */
  @ApiModelProperty(value = "Site ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public SiteBasicInfo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Site name
   * @return name
  */
  @ApiModelProperty(value = "Site name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteBasicInfo siteBasicInfo = (SiteBasicInfo) o;
    return Objects.equals(this.id, siteBasicInfo.id) &&
        Objects.equals(this.name, siteBasicInfo.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteBasicInfo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

